---
title: ownCloud
---

{{< toc >}}

## Admin Documentation

Before you start reading, if you are interested in:

- learning ocis from an admin perspective,
- different deployment scenarios,
- deployment examples,
- detailed settings and more

we would recommend to continue with the [ownCloud Admin Documentation for Infinite Scale](https://doc.owncloud.com/ocis/next/).

## Developer Documentation

Welcome to our developer documentation. Here you find documentation with focus for *developers*:

- [oCIS]({{< ref "./ocis" >}}) server
- oCIS Services
- Clients like:
    - [ownCloud Web](https://github.com/owncloud/web) - the new web frontend for oCIS and ownCloud
    - [ownCloud Android app](https://github.com/owncloud/android)
    - [ownCloud iOS app](https://github.com/owncloud/ios-app)
    - [ownCloud Desktop Syncing Client](https://github.com/owncloud/client)
- Integrations

## We love open source

The oCIS server is Apache v2 licensed.
The lower storage layer of oCIS is defined by the CS3 APIs and implemented in the REVA project. Our goal is to develop the CS3 APIs to an open standard and collaborate on the open source REVA reference implementation for CS3 APIs.

You can also find all client sources on [GitHub](https://github.com/owncloud/).

## Join the oCIS Community

The [server repository](https://github.com/owncloud/ocis) on [GitHub](https://www.github.com) is a good entry point to the oCIS project. In addition to that there are also ownCloud projects for clients for [iOS](https://github.com/owncloud/ios-app), [Android](https://github.com/owncloud/android), the major [Desktop](https://github.com/owncloud/desktop) platforms and [ownCloud Web](https://github.com/owncloud/web).

To chat about development, [join our public chat](https://talk.owncloud.com/channel/ocis)

If you want to help and improve ownCloud or oCIS, start coding or open issues on GitHub in the related repository.

We are very happy to hear your feedback and ideas!
