---
title: "Release Life Cycle"
date: 2024-05-10T21:20:00+01:00
weight: 0
geekdocRepo: https://github.com/owncloud/ocis
geekdocEditPath: edit/master/docs/ocis
geekdocFilePath: release_roadmap.md
---

{{< toc >}}

This page is designed to provide clarity and transparency regarding the scheduling, nature, and support of our releases, ensuring you have all the information you need to stay updated and manage your deployments effectively. Find here an overview of our plans for future enhancements and features: [owncloud.com/roadmap](https://owncloud.com/roadmap)

## Dates

Note that Version and Notes tagged with UNRELEASED are only prepared and cannot be resolved by design.
<!-- https://www.tablesgenerator.com/markdown_tables -->

| Release Date   | Type           | Version                                                                               | Notes                                                                                                 |
|----------------|----------------|---------------------------------------------------------------------------------------|-------------------------------------------------------------------------------------------------------|
| UNRELEASED     | **Production** | **[Infinite Scale 7 (7.1.0)](https://download.owncloud.com/ocis/ocis/stable/7.1.0/)** | **[Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-7-1-0-production)** |
| 07.02.2025     | **Production** | **[Infinite Scale 7 (7.0.1)](https://download.owncloud.com/ocis/ocis/stable/7.0.1/)** | **[Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-7-0-1-production)** |
| 07.02.2025     | Rolling        | [Infinite Scale 6 (6.5.1)](https://download.owncloud.com/ocis/ocis/rolling/6.5.1/)    | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-6-5-1-rolling)        |
| **17.12.2024** | **Production** | **[Infinite Scale 7 (7.0.0)](https://download.owncloud.com/ocis/ocis/stable/7.0.0/)** | **[Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-7-0-0-production)** |
| **14.11.2024** | **Production** | **[Infinite Scale 5 (5.0.9)](https://download.owncloud.com/ocis/ocis/stable/5.0.9/)** | **[Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-5-0-9-production)** |
| 24.10.2024     | Rolling        | [Infinite Scale 6 (6.6.1)](https://download.owncloud.com/ocis/ocis/rolling/6.6.1/)    | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-6-6-1-rolling)        |
| 22.10.2024     | Rolling        | [Infinite Scale 6 (6.6.0)](https://download.owncloud.com/ocis/ocis/rolling/6.6.0/)    | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-6-6-0-rolling)        |
| 01.10.2024     | Rolling        | [Infinite Scale 6 (6.5.0)](https://download.owncloud.com/ocis/ocis/rolling/6.5.0/)    | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-6-5-0-rolling)        |
| 30.09.2024     | Production     | [Infinite Scale 5 (5.0.8)](https://download.owncloud.com/ocis/ocis/stable/5.0.8/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-5-0-8-production)     |
| 12.09.2024     | Rolling        | [Infinite Scale 6 (6.4.0)](https://download.owncloud.com/ocis/ocis/rolling/6.4.0/)    | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-6-4-0-rolling)        |
| 04.09.2024     | Production     | [Infinite Scale 5 (5.0.7)](https://download.owncloud.com/ocis/ocis/stable/5.0.7/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-5-0-7-production)     |
| 19.08.2024     | Rolling        | [Infinite Scale 6 (6.3.0)](https://download.owncloud.com/ocis/ocis/rolling/6.3.0/)    | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-6-3-0-rolling)        |
| 30.07.2024     | Rolling        | [Infinite Scale 6 (6.2.0)](https://download.owncloud.com/ocis/ocis/rolling/6.2.0/)    | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-6-2-0-rolling)        |
| 08.07.2024     | Rolling        | [Infinite Scale 6 (6.1.0)](https://download.owncloud.com/ocis/ocis/rolling/6.1.0/)    | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-6-1-0-rolling)        |
| 19.06.2024     | Rolling        | [Infinite Scale 6 (6.0.0)](https://download.owncloud.com/ocis/ocis/rolling/6.0.0/)    | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-6-0-0-rolling)        |
| 17.07.2024     | Production     | [Infinite Scale 5 (5.0.6)](https://download.owncloud.com/ocis/ocis/stable/5.0.6/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-5-0-6)                |
| 22.05.2024     | Production     | [Infinite Scale 5 (5.0.5)](https://download.owncloud.com/ocis/ocis/stable/5.0.5/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-5-0-5)                |
| 14.05.2024     | Production     | [Infinite Scale 5 (5.0.4)](https://download.owncloud.com/ocis/ocis/stable/5.0.4/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-5-0-4)                |
| 02.05.2024     | Production     | [Infinite Scale 5 (5.0.3)](https://download.owncloud.com/ocis/ocis/stable/5.0.3/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-5-0-3)                |
| 17.04.2024     | Production     | [Infinite Scale 5 (5.0.2)](https://download.owncloud.com/ocis/ocis/stable/5.0.2/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-5-0-2)                |
| 11.04.2024     | Production     | [Infinite Scale 5 (5.0.1)](https://download.owncloud.com/ocis/ocis/stable/5.0.1/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-5-0-1)                |
| 18.03.2024     | Production     | [Infinite Scale 5 (5.0.0)](https://download.owncloud.com/ocis/ocis/stable/5.0.0/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-5-0-0)                |
| 27.03.2024     | Production     | [Infinite Scale 4 (4.0.7)](https://download.owncloud.com/ocis/ocis/stable/4.0.7/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-4-0-7)                |
| 07.02.2024     | Production     | [Infinite Scale 4 (4.0.6)](https://download.owncloud.com/ocis/ocis/stable/4.0.6/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-4-0-6)                |
| 21.12.2023     | Production     | [Infinite Scale 4 (4.0.5)](https://download.owncloud.com/ocis/ocis/stable/4.0.5/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-4-0-5)                |
| 07.12.2023     | Production     | [Infinite Scale 4 (4.0.4)](https://download.owncloud.com/ocis/ocis/stable/4.0.4/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-4-0-4)                |
| 24.11.2023     | Production     | [Infinite Scale 4 (4.0.3)](https://download.owncloud.com/ocis/ocis/stable/4.0.3/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-4-0-3)                |
| 06.10.2023     | Production     | [Infinite Scale 4 (4.0.2)](https://download.owncloud.com/ocis/ocis/stable/4.0.2/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-4-0-2)                |
| 01.09.2023     | Production     | [Infinite Scale 4 (4.0.1)](https://download.owncloud.com/ocis/ocis/stable/4.0.1/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-4-0-1)                |
| 25.08.2023     | Production     | [Infinite Scale 4 (4.0.0)](https://download.owncloud.com/ocis/ocis/stable/4.0.0/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-4-0-0)                |
| 07.06.2023     | Production     | [Infinite Scale 3 (3.0.0)](https://download.owncloud.com/ocis/ocis/stable/3.0.0/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-3-0-0)                |
| 30.11.2022     | Production     | [Infinite Scale 2 (2.0.0)](https://download.owncloud.com/ocis/ocis/stable/2.0.0/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#infinite-scale-2-0-0)                |
| 04.04.2022     | Beta           | [Infinite Scale 1 (1.9.0)](https://download.owncloud.com/ocis/ocis/stable/1.9.0/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#beta-releases)                       |
| 04.04.2022     | Beta           | [Infinite Scale 1 (1.8.0)](https://download.owncloud.com/ocis/ocis/stable/1.8.0/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#beta-releases)                       |
| 04.04.2022     | Beta           | [Infinite Scale 1 (1.7.0)](https://download.owncloud.com/ocis/ocis/stable/1.7.0/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#beta-releases)                       |
| 04.04.2022     | Beta           | [Infinite Scale 1 (1.6.0)](https://download.owncloud.com/ocis/ocis/stable/1.6.0/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#beta-releases)                       |
| 04.04.2022     | Beta           | [Infinite Scale 1 (1.5.0)](https://download.owncloud.com/ocis/ocis/stable/1.5.0/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#beta-releases)                       |
| 04.04.2022     | Beta           | [Infinite Scale 1 (1.4.0)](https://download.owncloud.com/ocis/ocis/stable/1.4.0/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#beta-releases)                       |
| 04.04.2022     | Beta           | [Infinite Scale 1 (1.3.0)](https://download.owncloud.com/ocis/ocis/stable/1.3.0/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#beta-releases)                       |
| 13.04.2022     | Beta           | [Infinite Scale 1 (1.20.0)](https://download.owncloud.com/ocis/ocis/stable/1.20.0/)   | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#beta-releases)                       |
| 04.04.2022     | Tech Preview   | [Infinite Scale 1 (1.2.0)](https://download.owncloud.com/ocis/ocis/stable/1.2.0/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#technology-preview-releases)         |
| 05.04.2022     | Tech Preview   | [Infinite Scale 1 (1.19.1)](https://download.owncloud.com/ocis/ocis/stable/1.19.1/)   | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#technology-preview-releases)         |
| 05.04.2022     | Tech Preview   | [Infinite Scale 1 (1.19.0)](https://download.owncloud.com/ocis/ocis/stable/1.19.0/)   | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#technology-preview-releases)         |
| 04.04.2022     | Tech Preview   | [Infinite Scale 1 (1.18.0)](https://download.owncloud.com/ocis/ocis/stable/1.18.0/)   | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#technology-preview-releases)         |
| 04.04.2022     | Tech Preview   | [Infinite Scale 1 (1.17.0)](https://download.owncloud.com/ocis/ocis/stable/1.17.0/)   | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#technology-preview-releases)         |
| 04.04.2022     | Tech Preview   | [Infinite Scale 1 (1.16.0)](https://download.owncloud.com/ocis/ocis/stable/1.16.0/)   | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#technology-preview-releases)         |
| 04.04.2022     | Tech Preview   | [Infinite Scale 1 (1.15.0)](https://download.owncloud.com/ocis/ocis/stable/1.15.0/)   | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#technology-preview-releases)         |
| 04.04.2022     | Tech Preview   | [Infinite Scale 1 (1.14.0)](https://download.owncloud.com/ocis/ocis/stable/1.14.0/)   | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#technology-preview-releases)         |
| 04.04.2022     | Tech Preview   | [Infinite Scale 1 (1.13.0)](https://download.owncloud.com/ocis/ocis/stable/1.13.0/)   | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#technology-preview-releases)         |
| 04.04.2022     | Tech Preview   | [Infinite Scale 1 (1.12.0)](https://download.owncloud.com/ocis/ocis/stable/1.12.0/)   | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#technology-preview-releases)         |
| 04.04.2022     | Tech Preview   | [Infinite Scale 1 (1.11.0)](https://download.owncloud.com/ocis/ocis/stable/1.11.0/)   | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#technology-preview-releases)         |
| 04.04.2022     | Tech Preview   | [Infinite Scale 1 (1.10.0)](https://download.owncloud.com/ocis/ocis/stable/1.10.0/)   | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#technology-preview-releases)         |
| 04.04.2022     | Tech Preview   | [Infinite Scale 1 (1.1.0)](https://download.owncloud.com/ocis/ocis/stable/1.1.0/)     | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#technology-preview-releases)         |
| 04.04.2022     | Tech Preview   | [Infinite Scale 1 (1.0.06)](https://download.owncloud.com/ocis/ocis/stable/1.0.0/)    | [Release Notes](https://doc.owncloud.com/ocis_release_notes.html#technology-preview-releases)         |
Please find the daily release here: [https://download.owncloud.com/ocis/ocis/daily/](https://download.owncloud.com/ocis/ocis/daily/).


## Release Types

ownCloud Infinite Scale is released in three different release types: **Production**, **Rolling** and **Daily**. Each of them is targeted to a specific use case and audience group:

{{< columns >}}
{{< hint type=tip title=Production >}}
- Stable and tested release, suitable for critical data.
- Slow cycle, but most stable with slow feature additions.
- Patch releases are provided for critical- and security-bugs as defined by ownCloud support regulations.
{{< /hint >}}
<---> <!-- magic separator, between columns -->
{{< hint title=Rolling icon=gdoc_check >}}
- Chances are high that some manual testing has happened, yet not structured.
- Features are mostly completed. An upgrade path from the previous rolling release is provided and tested. Great release to use with non critical data.
- Critical bugs are guaranteed to be fixed with the next rolling release.
{{< /hint >}}
##
<---> <!-- magic separator, between columns -->
{{< hint type=important title=Daily >}}
- Mainly for test use cases. As the releases are done completely unattended, only the automatic test suite has tested the release. Manual testing was only applied by chance.
- Based on ownClouds strong test suite the daily releases are pretty stable, but the risk of unfinished changes is high.
- For example, if a feature requires three commits, and only one was committed, the daily is cut anyway.{{< /columns >}}
{{< /hint >}}

| Type                       | Production                                                                                             | Rolling                                            | Daily                                    |
| ----------------------------- | ------------------------------------------------------------------------------------------------------ | -------------------------------------------------- | ---------------------------------------- |
| Frequency                     | About every 6 month                                                                                    | Every 3 weeks                                      | Daily                                    |
| Audience                      | Everyone                                                                                               | Early adopters                                     | Developers                               |
| Risk                          | Low (known) risk                                                                                       | Low-medium risk                                    | High (unknown) risk                      |
| Support                       | Commercially supported                                                                                 | Company support on special agreement with ownCloud | Community support                        |
| Documentation                 | Official                                                                                               | Moving documentation                               | Moving documentation, engineering output |
| Updates                       | Patch releases based on last stable                                                                    | Rolling every three weeks                          | None                                     |
| Update path                   | Incremental: from previous production to new production, from last rolling before a production release | from previous rolling to new rolling               | Clean slate                              |
| Downgrade                     | No                                                                                                     | No                                                 | No                                       |
| Service-level agreement (SLA) | Yes                                                                                                    | No                                                 | No                                       |
| Overlapping support           | Yes                                                                                                    | No                                                 | No                                       |




## Documentation
- **Production** will come with released documentation that is specific for the release. It will remain valid throughout the whole livetime of the release. If patches require documentation changes, addendums will be delivered.

- **Daily** and **Rolling** have access to the documentation as it moves forward in the development process along with the product which will be available on ownClouds web site. There wont be specific releases. Changelog entries, PR comments and similar engineering output can complement the information.

## Updating and Overlap

- **Production** provides a guaranteed upgrade path from the last Production release, as well as from the previous Rolling release before the new Production. For that, support from ownCloud is required. Upgrades between two Production releases are only supported to tested patch releases provided by ownCloud. In an upgrade process, all released patch releases have to be installed in the correct sequence.

- **Rolling** is guaranteed to upgrade from the last rolling release or from the previous daily before the new Rolling release. If a critical bug is found in a rolling release, it is guaranteed to be fixed in the next Rolling. There are no backports to the Rolling. In critical cases, an upgrade to a daily release in between has to be done at own risk.

- **Daily** does not come with any guaranteed update path. Chances are good that updates will go smooth, but that might have hickups in cases where the upgrade code is not finalized in time.

Only production gives a reasonable overlap time between releases, for example if version 9 was released, version 8 will still receive a patch release for critical bugs for a reasonable time frame. That time frame will be announced separately and will be aligned with customer needs.
## Support
ownCloud only offers commercial support for **Production**. Rolling might be considered for customer installations in the sales process but always requires an individual agreement between all parties.

**Daily** and **Rolling** are supported on best effort provided by community and ownCloud staff. There is **no SLA** and no guarantee for attention.

As ownCloud understands that the effort taken to report a problem is significant and results benefit all users in the community and ownCloud customers, there are resources available to respectfully work on community issues.

Please consider the [Contribution guidelines](https://github.com/owncloud/ocis/blob/master/CONTRIBUTING.md) for this.

## Versioning Scheme
{{< figure src="../storage/static/semver-schema.png" width="70%" alt="Schema of Semantic Versioning" >}}
We adhere to **Semantic Versioning** (SemVer) to ensure clarity and predictability in each of our releases. Learn how Semantic Versioning works on [https://semver.org/](https://semver.org/ ).
