## Environment Variables

| Name | Type | Default Value | Description |
|------|------|---------------|-------------|
| OCIS_TRACING_ENABLED<br/>AUTH_BEARER_TRACING_ENABLED | bool | false | Activates tracing.|
| OCIS_TRACING_TYPE<br/>AUTH_BEARER_TRACING_TYPE | string |  | The type of tracing. Defaults to '', which is the same as 'jaeger'. Allowed tracing types are 'jaeger' and '' as of now.|
| OCIS_TRACING_ENDPOINT<br/>AUTH_BEARER_TRACING_ENDPOINT | string |  | The endpoint of the tracing agent.|
| OCIS_TRACING_COLLECTOR<br/>AUTH_BEARER_TRACING_COLLECTOR | string |  | The HTTP endpoint for sending spans directly to a collector, i.e. http://jaeger-collector:14268/api/traces. Only used if the tracing endpoint is unset.|
| OCIS_LOG_LEVEL<br/>AUTH_BEARER_LOG_LEVEL | string |  | The log level. Valid values are: 'panic', 'fatal', 'error', 'warn', 'info', 'debug', 'trace'.|
| OCIS_LOG_PRETTY<br/>AUTH_BEARER_LOG_PRETTY | bool | false | Activates pretty log output.|
| OCIS_LOG_COLOR<br/>AUTH_BEARER_LOG_COLOR | bool | false | Activates colorized log output.|
| OCIS_LOG_FILE<br/>AUTH_BEARER_LOG_FILE | string |  | The path to the log file. Activates logging to this file if set.|
| AUTH_BEARER_DEBUG_ADDR | string | 127.0.0.1:9149 | Bind address of the debug server, where metrics, health, config and debug endpoints will be exposed.|
| AUTH_BEARER_DEBUG_TOKEN | string |  | Token to secure the metrics endpoint.|
| AUTH_BEARER_DEBUG_PPROF | bool | false | Enables pprof, which can be used for profiling.|
| AUTH_BEARER_DEBUG_ZPAGES | bool | false | Enables zpages, which can be used for collecting and viewing in-memory traces.|
| AUTH_BEARER_GRPC_ADDR | string | 127.0.0.1:9148 | The bind address of the GRPC service.|
| OCIS_GRPC_PROTOCOL<br/>AUTH_BEARER_GRPC_PROTOCOL | string | tcp | The transport protocol of the GRPC service.|
| OCIS_JWT_SECRET<br/>AUTH_BEARER_JWT_SECRET | string |  | The secret to mint and validate jwt tokens.|
| OCIS_REVA_GATEWAY | string | com.owncloud.api.gateway | The CS3 gateway endpoint.|
| OCIS_GRPC_CLIENT_TLS_MODE | string |  | TLS mode for grpc connection to the go-micro based grpc services. Possible values are 'off', 'insecure' and 'on'. 'off': disables transport security for the clients. 'insecure' allows using transport security, but disables certificate verification (to be used with the autogenerated self-signed certificates). 'on' enables transport security, including server certificate verification.|
| OCIS_GRPC_CLIENT_TLS_CACERT | string |  | Path/File name for the root CA certificate (in PEM format) used to validate TLS server certificates of the go-micro based grpc services.|
| AUTH_BEARER_SKIP_USER_GROUPS_IN_TOKEN | bool | false | Disables the encoding of the user's group memberships in the reva access token. This reduces the token size, especially when users are members of a large number of groups.|
| OCIS_URL<br/>OCIS_OIDC_ISSUER<br/>AUTH_BEARER_OIDC_ISSUER | string | https://localhost:9200 | URL of the OIDC issuer. It defaults to URL of the builtin IDP.|
| OCIS_INSECURE<br/>AUTH_BEARER_OIDC_INSECURE | bool | false | Allow insecure connections to the OIDC issuer.|
| AUTH_BEARER_OIDC_ID_CLAIM | string | preferred_username | Name of the claim, which holds the user identifier.|
| AUTH_BEARER_OIDC_UID_CLAIM | string |  | Name of the claim, which holds the UID.|
| AUTH_BEARER_OIDC_GID_CLAIM | string |  | Name of the claim, which holds the GID.|